
Installer - Feature #29625

Stop accepting on TLS 1.1 for Candlepin

04/26/2020 12:28 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-ca

ndlepin/pull/152

  

Description

Katello is the only thing connecting to Candlepin and current setups shouldn't use TLS 1.1 anymore. PCI compliant setups are also

required to disable it. By doing this out of the box, the software becomes more secure and more compliant.

Associated revisions

Revision 1243c977 - 04/29/2020 12:39 PM - Ewoud Kohl van Wijngaarden

Fixes #29625 - Stop accepting TLS 1.1 connections

Katello is the only thing connecting to Candlepin and current setups

shouldn't use TLS 1.1 anymore. PCI compliant setups are also required to

disable it. By doing this out of the box, the software becomes more

secure and more compliant.

History

#1 - 04/26/2020 12:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-candlepin/pull/152 added

#2 - 04/29/2020 12:39 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/29/2020 01:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-candlepin|1243c9779d88a61e8b83f8b533ed358ec6d60b4c.
